import * as React from 'react';
import BicycleClient from 'bicycle/client';
import Component from '../component-class';
import { LoadingResponse, ErrorResponse } from '../useQuery';
export interface Props {
    children: React.ReactNode;
    client: BicycleClient<any>;
    disableErrorReporter?: boolean;
    renderLoading?: Component<LoadingResponse<any>>;
    renderErrors?: Component<ErrorResponse<any>>;
}
export default function BicycleProvider({ children, client, disableErrorReporter, renderLoading, renderErrors, }: Props): JSX.Element;
