/**
 * Get an array of errors thrown by mutations and a function to dismiss
 * a given error.
 *
 * N.B. ignores errors thrown before you call useMutationErrors
 */
export default function useMutationErrors(): [Error[], (err: Error) => void];
